package model

type UserAppList struct {
	Id                 int     `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uuid               int     `json:"uuid" xorm:"not null comment('masterId') INT(10)"`
	Uid                int     `json:"uid" xorm:"not null comment('用户ID') INT(10)"`
	AppId              int     `json:"app_id" xorm:"not null comment('应用ID') INT(10)"`
	PlanId             string  `json:"plan_id" xorm:"not null default '' comment('套餐ID') VARCHAR(100)"`
	Expire             int     `json:"expire" xorm:"not null default 0 comment('过期时间') INT(10)"`
	Name               string  `json:"name" xorm:"not null default '' comment('应用主名称') VARCHAR(32)"`
	Icon               string  `json:"icon" xorm:"not null default '' comment('应用主图标') VARCHAR(250)"`
	CreateTime         int     `json:"create_time" xorm:"not null default 0 comment('初次激活时间') INT(10)"`
	RenewTime          int     `json:"renew_time" xorm:"not null default 0 comment('上次续费时间') INT(10)"`
	Domain             string  `json:"domain" xorm:"not null default '' comment('域名') index VARCHAR(110)"`
	DomainAlias        string  `json:"domain_alias" xorm:"not null default '' comment('域名别名') index VARCHAR(110)"`
	Platform           string  `json:"platform" xorm:"not null default '' comment('平台信息 ios,android,applet') VARCHAR(100)"`
	Info               string  `json:"info" xorm:"comment('平台名称如ios.name.#ddd;') TEXT"`
	PayMode            int     `json:"pay_mode" xorm:"not null default 1 comment('付费模式,0授信,1付款') TINYINT(1)"`
	Price              float32 `json:"price" xorm:"not null default 0.00 comment('应用价格') FLOAT(10,2)"`
	PricePay           float32 `json:"price_pay" xorm:"not null default 0.00 comment('实际付款价格') FLOAT(10,2)"`
	OfficialPrice      float32 `json:"official_price" xorm:"not null default 0.00 comment('应用价格') FLOAT(10,2)"`
	OfficialPricePay   float32 `json:"official_price_pay" xorm:"not null default 0.00 comment('实际付款价格') FLOAT(10,2)"`
	State              int     `json:"state" xorm:"not null default 0 comment('0未创建,1正常,2停用,3过期') TINYINT(1)"`
	DeleteAt           int     `json:"delete_at" xorm:"not null default 0 TINYINT(1)"`
	CustomAndroidCount int     `json:"custom_android_count" xorm:"default 0 comment('客户端安卓包名重置次数') INT(11)"`
	CustomIosCount     int     `json:"custom_ios_count" xorm:"default 0 comment('客户端ios包名重置次数') INT(11)"`
	StoreAndroidCount  int     `json:"store_android_count" xorm:"default 0 comment('商家端安卓包名重置次数') INT(11)"`
	StoreIosCount      int     `json:"store_ios_count" xorm:"default 0 comment('商家端ios包名重置次数') INT(11)"`
	SmsPlatform        string  `json:"sms_platform" xorm:"default 'mob' comment('mob  ljioe联江') VARCHAR(255)"`
	IsClose            int     `json:"is_close" xorm:"default 0 comment('是否关闭') INT(1)"`
	Puid               int     `json:"puid" xorm:"default 0 comment('') INT(11)"`
	StoreRateInfo      string  `json:"store_rate_info" xorm:"comment('付呗商品进件费率') TEXT"`
}
